You are not logged in.

#1 2004-04-13 03:39:54

mr_ed
Member
From: Ottawa, ON, Canada
Registered: 2004-04-13
Posts: 72

k3b needs lib from Xinerama?

Hi.

Brand new to Arch.

Everything has gone flawlessly until now:

Here's my console output:

[root@jester lib]# pacman -S k3b

Targets: cdrdao-1.1.8-1 cdrtools-2.00.3-1 libsndfile-1.0.9-1
         libsamplerate-0.0.15-1 normalize-0.7.6-1 sox-12.17.4-1 id3lib-3.8.3-1
         libid3tag-0.15.1b-1 k3b-0.11.9-1

Proceed with upgrade? [Y/n]

:: Retrieving packages from current...
 cdrdao-1.1.8-1           [################] 100%|    363K|  200.0K/s| 00:00:01
 cdrtools-2.00.3-1        [################] 100%|    780K|  247.9K/s| 00:00:03
 libid3tag-0.15.1b-1      [################] 100%|     69K|   73.1K/s| 00:00:00

:: Retrieving packages from extra...
 libsndfile-1.0.9-1       [################] 100%|    286K|   94.0K/s| 00:00:03
 libsamplerate-0.0.15-1   [################] 100%|    206K|   82.7K/s| 00:00:02
 normalize-0.7.6-1        [################] 100%|     95K|   49.5K/s| 00:00:01
 sox-12.17.4-1            [################] 100%|    342K|  102.2K/s| 00:00:03
 id3lib-3.8.3-1           [################] 100%|    278K|   97.0K/s| 00:00:02
 k3b-0.11.9-1             [################] 100%|   3550K|  175.9K/s| 00:00:20

checking package integrity... done.
loading package data... done.
checking for file conflicts... done.
installing cdrdao... done.
installing cdrtools... done.
installing libsndfile... done.
installing libsamplerate... done.
installing normalize... done.
installing sox... done.
installing id3lib... done.
installing libid3tag... done.
installing k3b... done.
[root@jester lib]# exit
exit
[jeramy@jester jeramy]$ k3b
k3b: error while loading shared libraries: libXinerama.so.1: cannot open shared object file: No such file or directory

Any idea what's wrong?  (BTW, I have synced recently)
I'm running from within KDE, although I don't think that that would be an issue.

Thanks in advance.  smile

Offline

#2 2004-04-13 06:31:07

Arielext
Member
From: Amersfoort, the Netherlands
Registered: 2002-08-12
Posts: 362
Website

Re: k3b needs lib from Xinerama?

And again: here
Can this be posted on either the frontpage, the newsletter or some other official notice to all users?


apt-get install arch

Offline

#3 2004-04-13 12:51:02

mr_ed
Member
From: Ottawa, ON, Canada
Registered: 2004-04-13
Posts: 72

Re: k3b needs lib from Xinerama?

Yeah, I ran into that shortly after posting, but none of that really helps...  :?

Should I be using abs then to get it to work, then?

IIRC, the xfree version in current is 4.3, no?

Should I file a bug report, too?


Edit:

Something just dawned on me.  (duh)
k3b is linked to XFree 4.4, right?

Offline

#4 2004-04-13 17:50:43

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,363
Website

Re: k3b needs lib from Xinerama?

mr_ed wrote:

[...]
k3b is linked to XFree 4.4, right?

k3b is linked to libXinerama.so that is provided by xfree86 4.4 -> yes


The impossible missions are the only ones which succeed.

Offline

#5 2004-04-13 18:30:58

mr_ed
Member
From: Ottawa, ON, Canada
Registered: 2004-04-13
Posts: 72

Re: k3b needs lib from Xinerama?

So the obvious solution, then, is to upgrade to 4.4.  big_smile

Is that available to current, or will I have to fiddle with my pacman.conf file?

(And should I file a bug report?  I've never really contributed like that before.)

Offline

#6 2004-04-13 20:37:13

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,363
Website

Re: k3b needs lib from Xinerama?

mr_ed wrote:

So the obvious solution, then, is to upgrade to 4.4.  big_smile

Is that available to current, or will I have to fiddle with my pacman.conf file?

(And should I file a bug report?  I've never really contributed like that before.)

just make sure your xfree86 pkg is up-to-date

now it's:

[damir@Asteraceae /]$ pacman -Q xfree86
xfree86 4.4.0-1

The impossible missions are the only ones which succeed.

Offline

#7 2004-04-14 10:25:36

Mr Green
Forum Fellow
From: U.K.
Registered: 2003-12-21
Posts: 5,746

Re: k3b needs lib from Xinerama?

So if your xfree86 is up to date are there any issues with xfree4.4 we should look out for?

Mr Green


Mr Green

Offline

#8 2004-04-14 16:39:42

mr_ed
Member
From: Ottawa, ON, Canada
Registered: 2004-04-13
Posts: 72

Re: k3b needs lib from Xinerama?

XFree86 was at version 4.3.

pacman -Syu fixed it.

However, I have one more problem.  (what a surprise!)

k3b:  CRITICAL
k3b:  PROBLEM:  Unable to find growisofs executable
k3b:  DETAILS:  K3b uses growisofs to actually write dvds. Without growisofs you won't be able to write dvds. Make sure to install at least version 5.10.
k3b:  SOLUTION: Install the dvd+rw-tools package.
k3b:
k3b:  CRITICAL
k3b:  PROBLEM:  Unable to find dvd+rw-format executable
k3b:  DETAILS:  K3b uses dvd+rw-format to format DVD-RWs and DVD+RWs.
k3b:  SOLUTION: Install the dvd+rw-tools package.

I did a pacman -S dvdrtools and got this:

:: Retrieving packages from extra...
dvdrtools-0.1.5-1        [################] 100%|    510K|  129.7K/s| 00:00:03

checking package integrity... done.
loading package data... done.
checking for file conflicts...
error: the following file conflicts were found:
  /usr/bin/cdda2wav: exists in filesystem
  /usr/bin/devdump: exists in filesystem
  /usr/bin/isodump: exists in filesystem
  /usr/bin/isoinfo: exists in filesystem
  /usr/bin/isovfy: exists in filesystem
  /usr/bin/mkisofs: exists in filesystem
  /usr/bin/readcd: exists in filesystem
  /usr/man/man1/readcd.1.gz: exists in filesystem
  /usr/man/man1/cdda2wav.1.gz: exists in filesystem
  /usr/man/man8/mkisofs.8.gz: exists in filesystem
  /usr/man/man8/isoinfo.8.gz: exists in filesystem

Any ideas?  Thanks!

Offline

#9 2004-04-14 19:11:46

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,363
Website

Re: k3b needs lib from Xinerama?

hmm ... install " dvd+rw-tools" to make k3b work (i0ll correct the dependence)

... about the conflicts: it seems that dvdrtools conflicts with cdrtools - i will post a bug


The impossible missions are the only ones which succeed.

Offline

#10 2004-04-14 19:24:42

mr_ed
Member
From: Ottawa, ON, Canada
Registered: 2004-04-13
Posts: 72

Re: k3b needs lib from Xinerama?

Thanks.   8)

k3b will still work.  In this state, though, it will only burn CDs.

Offline

#11 2004-04-14 22:50:34

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,363
Website

Re: k3b needs lib from Xinerama?

mr_ed wrote:

Thanks.   8)

k3b will still work.  In this state, though, it will only burn CDs.

just -f orce the install of dvdrtools ... the next pkg-release of dvdrtools will have this conflict solved, so it's no problem

pacman -Sf dvdrtools


The impossible missions are the only ones which succeed.

Offline

#12 2004-04-15 01:07:51

mr_ed
Member
From: Ottawa, ON, Canada
Registered: 2004-04-13
Posts: 72

Re: k3b needs lib from Xinerama?

I get

::dvdrtools conflicts with cdrtools.  Remove cdrtools? [Y/n]

after typing pacman -Sf dvdrtools

Offline

#13 2004-04-15 10:49:04

dp
Member
From: Zürich, Switzerland
Registered: 2003-05-27
Posts: 3,363
Website

Re: k3b needs lib from Xinerama?

mr_ed wrote:

I get

::dvdrtools conflicts with cdrtools.  Remove cdrtools? [Y/n]

after typing pacman -Sf dvdrtools

he he ... then you do not any longer need to force it ... just say Y and it will install dvdrtools


The impossible missions are the only ones which succeed.

Offline

Board footer

Powered by FluxBB